### Method

# Foundry DeployStrategy supported

#### Declaration [src]

    DexFuture*
    foundry_deploy_strategy_supported (
      FoundryDeployStrategy* self
    )

#### Description [src]

Checks if the deploy strategy is supported for the current configuration.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves the priority of the strategy or rejects with error if unsupported.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.